<!-------------------------------------------------------------------------------
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 -------------------------------------------------------------------------------->

<div [formGroup]="appFormGroup" class="attachments">

  <div *ngIf="appMailId != null && mail != null" class="attachments--email">

    <div>
      <span>{{"attachments.email" | translate}}</span>
      <div class="attachments--container--email-text">

        <input #inputElement
               (keydown.enter)="inputElement.click()"
               [class.cursor-pointer]="!appFormGroup.disabled"
               [formControlName]="'transferMailText'"
               [id]="'email-text'"
               class="attachments--email-select"
               type="checkbox">

        <label [class.cursor-pointer]="!appFormGroup.disabled"
               [for]="'email-text'"
               class="attachments--container--email-summary">
          <span>{{mail.subject}}</span><br>
          <span class="attachments--container--email-summary--from">von: {{mail.from}}</span>
        </label>

      </div>
    </div>

    <app-attachment-list-form (appDownloadAttachment)="downloadEmailAttachment($event)"
                              *ngIf="appFormGroup?.value?.email?.length > 0"
                              [appFormArrayName]="'email'"
                              [appFormGroup]="appFormGroup"
                              [appHideNotUsedTags]="false"
                              [appTagList]="appWithoutTagControl ? null : (tagList$ | async)"
                              [appTitle]="'attachments.addEmailAttachments' | translate">
    </app-attachment-list-form>

  </div>

  <div [class.attachments--files---full-display]="appMailId == null"
       class="attachments--files">
    <app-attachment-list-form (appDownloadAttachment)="downloadAttachment($event)"
                              *ngIf="appFormGroup?.value?.edit?.length > 0"
                              [appFormArrayName]="'edit'"
                              [appFormGroup]="appFormGroup"
                              [appTagList]="appWithoutTagControl ? null : (tagList$ | async | appFilterOutTags : appHiddenTagIds)"
                              [appTitle]="'attachments.edit' | translate"
                              class="attachments---half-size">
    </app-attachment-list-form>

    <app-attachment-file-drop-form
      [appAutoTagIds]="appAutoTagIds"
      [appFormArrayName]="'add'"
      [appFormGroup]="appFormGroup"
      [appTagList]="appWithoutTagControl ? null : (tagList$ | async | appFilterOutTags : appHiddenTagIds)"
      [appTitle]="'attachments.add' | translate"
      class="attachments--container">
    </app-attachment-file-drop-form>
  </div>

</div>
